import OSticky from '@/components/o-sticky'
import { Button, Grid, GridItem, Icon, Popover } from 'vant'
import { defineComponent, reactive } from 'vue'
import styles from './information.module.less'

export default defineComponent({
  name: 'detail-information',
  setup() {
    const state = reactive({
      showPopover: false,
      actions: [
        { text: '全部乐团', color: 'var(--van-primary-color)' },
        { text: '交付团' },
        { text: '晋升团' }
      ],
      oPopover: false,
      check: [],
      checkboxRefs: [] as any
    })
    return () => (
      <>
        <div style={{ padding: '12px 13px 16px', background: '#F8F8F8' }}>
          <Popover
            v-model:show={state.showPopover}
            actions={state.actions}
            showArrow={false}
            placement="bottom-start"
            offset={[0, 12]}
            style={{ zIndex: '9999' }}
          >
            {{
              reference: () => (
                <div class={styles.searchBand}>
                  全部乐团 <Icon name={state.showPopover ? 'arrow-up' : 'arrow-down'} />
                </div>
              )
            }}
          </Popover>
          <Popover
            v-model:show={state.oPopover}
            actions={state.actions}
            showArrow={false}
            placement="bottom"
            offset={[0, 12]}
            style={{ zIndex: '9999' }}
          >
            {{
              reference: () => (
                <div class={styles.searchBand} style="margin-left: 16px">
                  武汉小学2022预备团 <Icon name={state.oPopover ? 'arrow-up' : 'arrow-down'} />
                </div>
              )
            }}
          </Popover>
        </div>

        <Grid border={false} class={styles.gridContainer}>
          <GridItem>
            <p class={[styles.title, styles.red]}>
              92<span>名</span>
            </p>
            <p class={styles.name}>在读学生</p>
          </GridItem>
          <GridItem>
            <p class={[styles.title, styles.red]}>92%</p>
            <p class={styles.name}>到课率</p>
          </GridItem>
          <GridItem>
            <p class={[styles.title, styles.red]}>92%</p>
            <p class={styles.name}>作业提交率</p>
          </GridItem>
          <GridItem>
            <p class={[styles.title, styles.red]}>92%</p>
            <p class={styles.name}>练习合格率</p>
          </GridItem>
        </Grid>

        {[1, 2, 3, 4, 5, 6].map((val: any) => (
          <div class={[styles.gridContainer, styles.gridClass]}>
            <div class={styles.className}>
              <i class={styles.line}></i>
              长笛班
            </div>
            <Grid border={false} columnNum={3}>
              <GridItem>
                <p class={styles.title}>18</p>
                <p class={styles.name}>在读学生</p>
              </GridItem>
              <GridItem>
                <p class={[styles.title, styles.teacher]}>张老师</p>
                <p class={styles.name}>伴学指导</p>
              </GridItem>
              <GridItem>
                <p class={styles.title}>10/16</p>
                <p class={styles.name}>课时</p>
              </GridItem>
            </Grid>
          </div>
        ))}

        <OSticky position="bottom">
          <div class={'btnGroup'}>
            <Button round block type="primary">
              报名二维码
            </Button>
          </div>
        </OSticky>
      </>
    )
  }
})
