import OHeader from '@/components/o-header'
import OSticky from '@/components/o-sticky'
import { Cell, Icon, Popover, Tag } from 'vant'
import { defineComponent, reactive } from 'vue'
import { useRouter } from 'vue-router'
import styles from './index.module.less'

export default defineComponent({
  name: 'my-orchestra',
  setup() {
    const router = useRouter()
    const state = reactive({
      showPopover: false,
      actions: [
        { text: '全部乐团', color: 'var(--van-primary-color)' },
        { text: '交付团' },
        { text: '晋升团' }
      ]
    })
    return () => (
      <>
        <OSticky position="top">
          <OHeader>
            {{
              right: () => (
                <Icon
                  name="plus"
                  size={19}
                  color="#333"
                  onClick={() => {
                    router.push('/create-orchestra')
                  }}
                />
              )
            }}
          </OHeader>
          <div style={{ padding: '12px 13px', background: '#F8F8F8' }}>
            <Popover
              v-model:show={state.showPopover}
              actions={state.actions}
              showArrow={false}
              placement="bottom-start"
              offset={[0, 12]}
            >
              {{
                reference: () => (
                  <div class={styles.searchBand}>
                    全部乐团 <Icon name={state.showPopover ? 'arrow-up' : 'arrow-down'} />
                  </div>
                )
              }}
            </Popover>
          </div>
        </OSticky>

        {[1, 2, 3, 4, 5, 6].map((item: any) => (
          <Cell isLink center class={styles.oCell}>
            {{
              title: () => (
                <div class={styles.oTitle}>
                  武汉小学2022上学期团{' '}
                  {/* <Tag style={{ marginLeft: '6px' }} type="primary">
                    交付团
                  </Tag> */}
                  <Tag style={{ marginLeft: '6px' }} color="#64A9FF">
                    晋升团
                  </Tag>
                </div>
              ),
              label: () => <p>学生人数：65人</p>
            }}
          </Cell>
        ))}
      </>
    )
  }
})
