import OHeader from '@/components/o-header'
import OSticky from '@/components/o-sticky'
import { Sticky, Tab, Tabs } from 'vant'
import { defineComponent, ref } from 'vue'
import Information from './compontent/information'
import styles from './orchestra-detail.module.less'

export default defineComponent({
  name: 'orchestra-detail',
  setup() {
    const tabValue = ref('apply')
    return () => (
      <div class={styles.orchestraDetail}>
        <OSticky position="top">
          <OHeader />
          <Tabs sticky lineWidth={20} lineHeight={4} v-model:active={tabValue.value}>
            <Tab title="乐团信息" name="information"></Tab>
            <Tab title="训练进度" name="plan"></Tab>
            <Tab title="训练照片" name="phone"></Tab>
            <Tab title="乐团资讯" name="info"></Tab>
          </Tabs>
        </OSticky>

        {tabValue.value === 'information' && <Information />}
      </div>
    )
  }
})
