import { defineComponent, onMounted, ref } from 'vue'
import { Image, Sticky, Tab, Tabs } from 'vant'
import styles from './index.module.less'
import { useRect } from '@vant/use'
import Apply from './component/apply'
import Payment from './component/payment'
import Order from './component/order'
// import banner from './images/banner.png'

export default defineComponent({
  name: 'pre-apply',
  setup() {
    const bannerRef = ref()
    const tabValue = ref('payment')
    const heightV = ref(235)

    const onNext = (name: string) => {
      tabValue.value = name
    }

    onMounted(() => {
      const { height } = useRect(bannerRef.value)
      heightV.value = height
    })
    return () => (
      <div class={styles.preApply}>
        <div class={styles.banner} ref={bannerRef}>
          <span>
            武汉小学2022标准团 <br />
            乐团报名
          </span>
        </div>
        <Sticky position="top">
          <Tabs lineWidth={20} lineHeight={4} v-model:active={tabValue.value}>
            <Tab title="报名信息" name="apply"></Tab>
            <Tab title="缴费信息" name="payment"></Tab>
            <Tab title="我的订单" name="order"></Tab>
          </Tabs>
        </Sticky>

        {tabValue.value === 'apply' && <Apply onNext={onNext} />}
        {tabValue.value === 'payment' && <Payment onNext={onNext} />}
        {tabValue.value === 'order' && <Order onNext={onNext} />}
      </div>
    )
  }
})
